I2PD(1)

NAME
i2pd - Load-balanced unspoofable packet switching network

SYNOPSIS
i2pd [OPTION1) [OPTION2]...

DESCRIPTION
i2pd is a C++ implementation of the router for the I2P anonymizing network, offering a simple layer that identity-sensitive applications can use to securely communicate. All data is wrapped with several layers of encryption, and the network is both distributed and dynamic, with no trusted parties.

Any of the configuration options below can be used in the DAEMON_ARGS variable in /etc/default/i2pd.

--host=
    The external IP (deprecated)

--port=
    The external port to listen on

--httpport=
    The HTTP port to listen on

--log=[1|0]
    Enable of disable logging to a file. 1 for yes, 0 for no. (default: 0, off)

--daemon=[1|0]
    Enable or disable daemon mode. Daemon mode is enabled with 1 and disabled with 0. (default: 0, off)

--service=[1|0]
    If enabled, system folders (/var/run/i2pd.pid, /var/log/i2pd.log, /var/lib/i2pd) will be used. If off, $HOME/.i2pd will be used instead. (default: 0, off).

--unreachable=[1|0]
    1 if router is declared as unreachable and works through introducers. (default: 0, off)

--v6=[1|0]
    1 if i2pd should communicate via IPv6. (default: 0, off)

--floodfill=[1|0]
    1 if i2pd should become a floodfill. (default: 0, off)

--bandwidth=[1|0]
    L if i2pd should be limited to 32KiB/s. Enabling floodfill will automatically set this to 0 (default: 0, no limit)

--httpproxyport=
    The local port for the HTTP Proxy to listen on (default: 4446)

--socksproxyport=
    The local port for the SOCKS proxy to listen on (default: 4447)

--proxykeys=
    An optional keys file for tunnel's local destination

--ircport=
    The local port of IRC tunnel to listen on. (default: 6668)

--ircdest=
    I2P destination address of an IRC server to connect to, e.g. irc.postman.i2p

--irckeys=
    optional keys file for local destination

--eepkeys=
    File name containing destination keys. For example privKeys.dat

--eephost=
    Address incoming trafic is forwarded to, 127.0.0.1 by default

--eepport=
    Port incoming trafic forward to. 80 by default

--samport=
    Port of SAM bridge. Usually 7656. SAM will not be enabled if this is not set. (default: unset)

--bobport=
    Port of BOB command channel. Usually 2827. BOB will not be enabled if this is not set. (default: unset)

--i2pcontrolport=
    Port of I2P control service. Usually 7650. I2PControl will not be enabled if this is not set. (default: unset)

--conf=
    Config file (default: ~/.i2pd/i2p.conf or /var/lib/i2pd/i2p.conf) This parameter will be silently ignored if the specified config file does not exist. Options specified on the command line take precedence over those in the config file.

FILES

/etc/default/i2pd
    i2pd configuration file (when running as a system service)

/var/lib/i2pd/
    i2pd profile directory (when running as a system service, see --service= above)

$HOME/.i2pd
    i2pd profile directory (when running as a normal user)

/usr/share/doc/i2pd/examples/hosts.txt.gz
    default I2P hosts file

AUTHOR
This manual page was written by kytv <killyourtv@i2pmail.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL